## com.sun.jersey.api.container
Class MappableContainerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.jersey.api.container.ContainerException
                      com.sun.jersey.api.container.MappableContainerException

All Implemented Interfaces:
  java.io.Serializable

    public class MappableContainerException

extends ContainerException

A runtime exception that contains a cause, a checked or runtime exception, that may be mapped to a `Response` instance.

The runtime will catch such exceptions and attempt to map the cause exception to a registered `ExceptionMapper` that provides an appropriate `Response` instance.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Constructor Summary
`MappableContainerException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappableContainerException

    public MappableContainerException(java.lang.Throwable cause)

Parameters:
  `cause` - the cause. If the cause is an instance of `MappableContainerException` then the cause of this exception will be obtained from the cause of that MappableContainerException instance, and the process will repeat until a cause is obtained that is not an instance of MappableContainerException.

Copyright © 2017 Oracle Corporation. All Rights Reserved.